%global momorel 4
%global src_md5sum 075ac81c865b0af865459260bf1ca890
Summary: PostgreSQL client programs and libraries.
Name: postgresql

### include local configuration
%{?include_specopt}
%{?!jdbc:     %global jdbc     0}
%{?!with_icc: %global with_icc 0}
%{?!tcl:      %global tcl      1}

# Python major version...
#%%{expand: %%global pyver %(python -c 'import sys;print(sys.version[0:3])')}
#%%{expand: %%global pynextver %(python -c 'import sys;print(float(sys.version[0:3])+0.1)')}
%global pyver 2.3
%global pynextver %{pyver}

# PyGreSQL version
%global pygresqlver 3.6.1

Version: 8.0.1
Release: %{momorel}m
License: BSD
Group: Applications/Databases
URL: http://www.postgresql.org/
Provides: relational-database
Obsoletes: postgresql-clients
Obsoletes: postgresql-odbc
Obsoletes: postgresql-perl
Obsoletes: postgresql-tk
BuildRoot: %{_tmppath}/%{name}-%{version}-root

### ftp://ftp.jp.postgresql.org/
%NoSource 0 ftp://ftp.jp.postgresql.org/source/v%{version}/postgresql-%{version}.tar.bz2 %{src_md5sum}
Source1: postgresql.init
Source2: README.rpm-dist
Source3: postgresql-bashprofile

%if %{jdbc}
#%%NoSource 4 http://jdbc.postgresql.org/download/postgresql-8.0-310.jdbc1.jar 49051cd646ee6496883cdebd72056312
%NoSource 5 http://jdbc.postgresql.org/download/postgresql-8.0-310.jdbc2.jar 0fe8f53bcb304a9bc5c16f2210e00ec0
%NoSource 6 http://jdbc.postgresql.org/download/postgresql-8.0-310.jdbc3.jar 68ff8abd6a8ba70b58bb0c83dbe0d6c0
%NoSource 7 http://jdbc.postgresql.org/download/postgresql-8.0-310.jdbc2ee.jar 0fe8f53bcb304a9bc5c16f2210e00ec0
%endif

%NoSource 19 ftp://gborg.postgresql.org/pub/pgtclng/stable/pgtcl1.5.2.tar.gz d19dfdcb54c334495d32456a043e0232
%NoSource 20 ftp://gborg.postgresql.org/pub/pgtclng/stable/pgtcldocs-20041108.zip 3d504b46231914d61fd49175f67e8715

Source7: filter-requires-perl-Pg.sh
Source8: postgres_htmldocs-ja.tar.gz

### http://www.pygresql.org/
%NoSource 9 ftp://ftp.pygresql.org/pub/distrib/PyGreSQL-%{pygresqlver}.tgz 057c2d93f333ff2ed2177a8b87e19c0c
#Source9: ftp://ftp.pygresql.org/pub/distrib/PyGreSQL-%{pygresqlver}.tgz
Source100: README.icc

Patch0: rpm-pgsql-8.0.0.patch
Patch1: postgresql-8.0.1-nls.patch
#Patch2: postgresql-7.4.1-plperl.patch
#Patch3: postgresql-7.4.1-tutorial.patch
Patch4: postgresql-7.4.1-icc.patch

Requires: libstdc++
Requires: libtermcap
Requires: openssl
Requires: readline
Requires: zlib >= 1.1.4-5m
Requires: postgresql-libs

BuildPrereq: XFree86-devel
BuildPrereq: perl >= 5.8.2
BuildPrereq: tcl >= 8.4.5-1m
BuildPrereq: tk >= 8.4.5-1m
BuildPrereq: cpp
BuildPrereq: bison
BuildPrereq: flex
BuildPrereq: gawk
BuildPrereq: gcc
BuildPrereq: gcc-c++
BuildPrereq: glibc-devel
BuildPrereq: libstdc++-devel
BuildPrereq: libtermcap-devel
BuildPrereq: openssl-devel
BuildPrereq: readline-devel
BuildPrereq: tar
BuildPrereq: zlib-devel >= 1.1.4-5m
BuildPrereq: python-devel
BuildPrereq: pam-devel
BuildPrereq: gettext

%description
PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). The
postgresql package includes the client programs and libraries that
you'll need to access a PostgreSQL DBMS server.  These PostgreSQL
client programs are programs that directly manipulate the internal
structure of PostgreSQL databases on a PostgreSQL server. These client
programs can be located on the same machine with the PostgreSQL
server, or may be on a remote machine which accesses a PostgreSQL
server over a network connection. This package contains the client
libraries for C and C++, as well as command-line utilities for
managing PostgreSQL databases on a PostgreSQL server.

If you want to manipulate a PostgreSQL database on a remote PostgreSQL
server, you need this package. You also need to install this package
if you're installing the postgresql-server package.

%package libs
Summary: The shared libraries required for any PostgreSQL clients.
Group: Applications/Databases

%description libs
The postgresql-libs package provides the essential shared libraries for any
PostgreSQL client program or interface. You will need to install this package
to use any other PostgreSQL package or any clients that need to connect to a
PostgreSQL server.

%package server
Summary: The programs needed to create and run a PostgreSQL server.
Group: Applications/Databases
Prereq: initscripts
Prereq: shadow-utils
Prereq: chkconfig
Prereq: bash
PreReq: %{name} = %{version}-%{release}
Requires: libtermcap
Requires: openssl
Requires: readline
Requires: zlib >= 1.1.4-5m

%description server
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create
and maintain PostgreSQL databases.  PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install
postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need
to install the postgresql package.

%package devel
Summary: PostgreSQL development header files and libraries.
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: bash
Requires: libtermcap
Requires: openssl
Requires: readline
Requires: zlib >= 1.1.4-5m

%description devel
The postgresql-devel package contains the header files and libraries
needed to compile C or C++ applications which will directly interact
with a PostgreSQL database management server and the ecpg Embedded C
Postgres preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL server. If
you're installing postgresql-server, you need to install this
package.

%package tcl
Summary: A Tcl client library, and the PL/Tcl procedural language for PostgreSQL.
Group: Applications/Databases
Prereq: glibc
Requires: %{name} = %{version}-%{release}
Requires: libtermcap
Requires: openssl
Requires: readline
Requires: tcl >= 8.3.4-2m
Requires: zlib >= 1.1.4-5m

%description tcl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-tcl package contains the libpgtcl client library,
the pg-enchanced pgtclsh, and the PL/Tcl procedural language for the backend.

%package python
Summary: Development module for Python code to access a PostgreSQL DB.
Group: Applications/Databases
Requires: %{name} = %{version}-%{release}
Requires: openssl
Requires: python >= %{pyver}

%description python
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-python package includes a module for
developers to use when writing Python code for accessing a PostgreSQL
database.

%if %{jdbc}
%package jdbc
Summary: Files needed for Java programs to access a PostgreSQL database.
Group: Applications/Databases
Requires: %{name} = %{version}-%{release}

%description jdbc
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-jdbc package includes the .jar file needed for
Java programs to access a PostgreSQL database.
%endif

%package test
Summary: The test suite distributed with PostgreSQL.
Group: Applications/Databases
PreReq: %{name}-server = %{version}-%{release}
Requires: %{name}-server = %{version}-%{release}
Requires: bash

%description test
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-test package includes the sources and pre-built
binaries of various tests for the PostgreSQL database management
system, including regression tests and benchmarks.

%package contrib
Summary: Contributed source and binaries distributed with PostgreSQL
Group: Applications/Databases
Requires: %{name} = %{version}-%{release}
Requires: bash
Requires: libtermcap
Requires: openssl
Requires: readline
Requires: sh-utils
Requires: zlib >= 1.1.4-5m

%description contrib
The postgresql-contrib package includes the contrib tree distributed with
the PostgreSQL tarball.  Selected contrib modules are prebuilt.

%package docs
Summary: Extra documentation for PostgreSQL
Group: Applications/Databases

%description docs
The postgresql-docs package includes the SGML source for the documentation
as well as the documentation in other formats, and some extra documentation.
Install this package if you want to help with the PostgreSQL documentation
project, or if you want to generate printed documentation.

%package pl
Summary: The PL procedural languages for PostgreSQL.
Group: Applications/Databases
Requires: %{name} = %{version}-%{release}
PreReq: %{name}-server = %{version}-%{release}

%description pl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-pl package contains the the PL/Perl, PL/Tcl, and PL/Python
procedural languages for the backend.  PL/Pgsql is part of the core server package.

%global __find_requires %{SOURCE7}

%prep
%setup -q
%{__tar} xzf %{SOURCE9}
%{__mv} PyGreSQL-%{pygresqlver} PyGreSQL

%patch0 -p1
%patch1 -p1
#%patch2 -p1
#%patch3 -p1
%if %with_icc
#%patch4 -p1
cp -f %{SOURCE100} .
%endif

%if %tcl
   tar xzf %{SOURCE19}
   PGTCLDIR=`basename %{SOURCE19} .tar.gz`
   mv $PGTCLDIR Pgtcl
   unzip %{SOURCE20}
   PGTCLDOCDIR=`basename %{SOURCE20} .zip`
   mv $PGTCLDOCDIR Pgtcl-docs
%endif


%build
autoconf

# do not put -ffast-math in CFLAGS
CFLAGS=`echo '%{optflags}' | perl -pe 's|-ffast-math||'`
%if %with_icc
export CC=icc
export CXX=icc
export CFLAGS="-O3 -tpp7 -xN -w0"
%else
export CFLAGS
%endif
export CXXFLAGS="$CFLAGS"
export CPPFLAGS="$CFLAGS"
export LIBNAME=%{_lib}

CC=/usr/bin/gcc \
%configure \
  --with-CXX \
  --enable-depend \
  --enable-thread-safety \
  --prefix=%{_prefix} \
  --datadir=%{_datadir}/pgsql \
  --includedir=%{_includedir}/pgsql \
  --with-docdir=%{_docdir}/postgresql-%{version} \
  --enable-nls \
  --with-perl \
  --with-tcl --with-tclconfig=%{_libdir} \
  --with-tkconfig=%{_libdir} \
  --with-python \
  --enable-syslog \
  --with-openssl \
  --with-pam \
  --sysconfdir=%{_sysconfdir}/sysconfig/pgsql \
  --mandir=%{_mandir} \
  --enable-nls

make %{_smp_mflags} all || make all
make -C contrib %{_smp_mflags} all || make -C contrib all

### for test package
pushd src/test
make %{_smp_mflags} all || make all
popd

### python interface
pushd PyGreSQL
#   python_include="-I${python_prefix}/include/python${python_version}"
python_include="-I%{_includedir}/python%{pyver}"
%if %with_icc
icc -O3 -tpp7 -fpic -shared -o _pgmodule.so \
%else
gcc $CFLAGS -fpic -shared -o _pgmodule.so \
%endif
  -I%{_prefix}/include/python%{pyver} \
  -I../src/interfaces/libpq \
  -I../src/include \
  -L../src/interfaces/libpq -lpq \
  pgmodule.c
popd

### TCL interface
%if %tcl
   pushd Pgtcl
   # pgtcl's configure only handles one include directory :-(
   ./configure --prefix=/usr \
     --libdir=%{_libdir} \
     --with-tcl=%{_libdir} \
     --with-postgres-include="../src/interfaces/libpq -I../src/include" \
     --with-postgres-lib=../src/interfaces/libpq
   # note: as of pgtcl 1.5.2, its makefile is not parallel-safe
   make all
   popd
%endif

%install

make DESTDIR=%{buildroot} install
rm -rf %{buildroot}/usr/doc/postgresql

# contrib
make -C contrib DESTDIR=%{buildroot} install
%{__install} -m755 contrib/adddepend/adddepend %{buildroot}%{_bindir}
# %{__install} -m644 contrib/adddepend/README.* \
#   %{buildroot}%{_docdir}/postgresql-7.3.1/contrib

# copy over Makefile.global to the include dir....
%{__install} -m755 src/Makefile.global %{buildroot}%{_includedir}/pgsql

# more sql.
%{__install} -m644 src/backend/catalog/*.sql %{buildroot}%{_datadir}/pgsql/
%{__install} -m644 src/backend/catalog/*.txt %{buildroot}%{_datadir}/pgsql/

# The initscripts....
%{__install} -d %{buildroot}%{_initscriptdir}
# %{__install} -m 755 %{SOURCE3} %{buildroot}%{_initscriptdir}/postgresql
%{__install} -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/postgresql

# PGDATA needs removal of group and world permissions due to pg_pwd hole.
%{__install} -d -m 700 %{buildroot}/var/lib/pgsql/data
# backups of data go here...
%{__install} -d -m 700 %{buildroot}/var/lib/pgsql/backups
# postgres' .bash_profile
%{__install} -m 644 %{SOURCE3} %{buildroot}/var/lib/pgsql/.bash_profile

# Create the multiple postmaster startup directory
%{__install} -d -m 700 %{buildroot}%{_sysconfdir}/sysconfig/pgsql

# Java/JDBC
# The user will have to set a CLASSPATH to find it here, but not sure where else to put it...
%if %jdbc
  # JDBC jars
#  %{__install} -m 755 %{SOURCE4} %{buildroot}%{_datadir}/pgsql
  %{__install} -m 755 %{SOURCE5} %{buildroot}%{_datadir}/pgsql
  %{__install} -m 755 %{SOURCE6} %{buildroot}%{_datadir}/pgsql
  %{__install} -m 755 %{SOURCE7} %{buildroot}%{_datadir}/pgsql
%endif

### TCL interface
%if %tcl
  install -d -m 755 %{buildroot}%{_libdir}/Pgtcl
  cp Pgtcl/pkgIndex.tcl %{buildroot}%{_libdir}/Pgtcl
  cp Pgtcl/libpgtcl*.so %{buildroot}%{_libdir}/Pgtcl
%endif


### python
pushd PyGreSQL
%{__install} -m 0755 -d %{buildroot}%{_libdir}/python%{pyver}/site-packages
%{__install} -m 0755 _pgmodule.so %{buildroot}%{_libdir}/python%{pyver}/site-packages
%{__install} -m 0755 pg.py %{buildroot}%{_libdir}/python%{pyver}/site-packages
%{__install} -m 0755 pgdb.py %{buildroot}%{_libdir}/python%{pyver}/site-packages
popd

# Fixup more permissions...
chmod 644 %{buildroot}%{_mandir}/*/*

# tests. There are many files included here that are unnecessary,
# but include them anyway for completeness.
%{__mkdir_p} %{buildroot}%{_libdir}/pgsql/test
cp -a src/test/regress %{buildroot}%{_libdir}/pgsql/test
# %{__install} -m 0755 config/config.guess %{buildroot}%{_libdir}/pgsql
%{__install} -m 0755 contrib/spi/refint.so %{buildroot}%{_libdir}/pgsql/test/regress
%{__install} -m 0755 contrib/spi/autoinc.so %{buildroot}%{_libdir}/pgsql/test/regress
pushd %{buildroot}%{_libdir}/pgsql/test/regress/
strip *.so
popd

# Fix some more documentation
# no need for the OS2 client
#rm -rf contrib/os2client
#gzip doc/internals.ps
cp %{SOURCE2} README.rpm-dist
# cp -r %{buildroot}%{_docdir}/postgresql/html doc
rm -rf %{buildroot}/usr/doc
mkdir -p doc/{html,html-ja}
tar zxf doc/postgres.tar.gz -C doc/html
tar zxf %{SOURCE8} -C doc/html-ja

%find_lang initdb
%find_lang libpq
%find_lang postgres
%find_lang psql
%find_lang pg_config
%find_lang pg_ctl
%find_lang pg_dump
%find_lang pg_resetxlog
%find_lang pg_controldata
%find_lang pgscripts

cat libpq.lang > libpq.lst
cat pg_config.lang > pg_config.lst
cat initdb.lang pg_ctl.lang psql.lang pg_dump.lang > main.lst
cat postgres.lang pg_resetxlog.lang pg_controldata.lang > server.lst


%pre
# Need to make backups of some executables if an upgrade
# They will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.

if [ $1 -gt 1 ]
then
   mkdir -p %{_libdir}/pgsql/backup > /dev/null
   pushd /usr/bin > /dev/null
   cp -fp postmaster postgres pg_dump pg_dumpall psql %{_libdir}/pgsql/backup > /dev/null 2>&1  || :
   popd > /dev/null
   pushd %{_libdir} > /dev/null
   cp -fp libpq.* %{_libdir}/pgsql/backup > /dev/null 2>&1 || :
   popd > /dev/null
fi

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig


%pre server
groupadd -g 26 -o -r postgres >/dev/null 2>&1 || :
useradd -M -n -g postgres -o -r -d /var/lib/pgsql -s /bin/bash \
  -c "PostgreSQL Server" -u 26 postgres >/dev/null 2>&1 || :
touch /var/log/pgsql
chown postgres.postgres /var/log/pgsql
chmod 0700 /var/log/pgsql

%post server
chkconfig --add postgresql
/sbin/ldconfig

%preun server
if [ $1 = 0 ] ; then
  chkconfig --del postgresql
fi

%postun server
/sbin/ldconfig
if [ $1 -ge 1 ]; then
  /sbin/service postgresql condrestart >/dev/null 2>&1
fi
if [ $1 = 0 ] ; then
  userdel postgres >/dev/null 2>&1 || :
  groupdel postgres >/dev/null 2>&1 || :
fi


%post -p /sbin/ldconfig   tcl
%postun -p /sbin/ldconfig   tcl


%post test
chown -R postgres.postgres %{_datadir}/pgsql/test >/dev/null 2>&1 || :


%clean
rm -rf %{buildroot}


%files -f main.lst
%defattr(-,root,root)
%doc doc/FAQ doc/FAQ_* doc/TODO.detail doc/TODO
%doc doc/KNOWN_BUGS doc/MISSING_FEATURES doc/README*
%doc COPYRIGHT README HISTORY doc/bug.template
%doc README.rpm-dist
%doc doc/html
%doc doc/html-ja
%if %{with_icc}
%doc README.icc
%endif
%{_bindir}/adddepend
%{_bindir}/clusterdb
%{_bindir}/createdb
%{_bindir}/createlang
%{_bindir}/createuser
%{_bindir}/dropdb
%{_bindir}/droplang
%{_bindir}/dropuser
%{_bindir}/pg_dump
%{_bindir}/pg_dumpall
%{_bindir}/pg_restore
%{_bindir}/psql
%{_bindir}/vacuumdb
%{_mandir}/man1/clusterdb.*
%{_mandir}/man1/createdb.*
%{_mandir}/man1/createlang.*
%{_mandir}/man1/createuser.*
%{_mandir}/man1/dropdb.*
%{_mandir}/man1/droplang.*
%{_mandir}/man1/dropuser.*
%{_mandir}/man1/pg_dump.*
%{_mandir}/man1/pg_dumpall.*
%{_mandir}/man1/pg_restore.*
%{_mandir}/man1/psql.*
%{_mandir}/man1/vacuumdb.*
%{_mandir}/man7/*
%{_datadir}/locale/*/*/pg_controldata.mo
%{_datadir}/locale/*/*/pgscripts.mo


%files docs
%defattr(-,root,root)
%doc doc/src/*

%files contrib
%defattr(-,root,root)
%{_bindir}/DBMirror.pl
%{_bindir}/dbf2pg
%{_bindir}/clean_pending.pl
%{_bindir}/findoidjoins
%{_bindir}/fti.pl
%{_bindir}/make_oidjoins_check
%{_bindir}/my2pg.pl
%{_bindir}/mysql2pgsql
%{_bindir}/oid2name
%{_bindir}/pg_autovacuum
%{_bindir}/pg_dumplo
%{_bindir}/pgbench
%{_bindir}/vacuumlo
%{_libdir}/pgsql/_int.so
%{_libdir}/pgsql/autoinc.so
%{_libdir}/pgsql/btree_gist.so
%{_libdir}/pgsql/chkpass.so
%{_libdir}/pgsql/cube.so
%{_libdir}/pgsql/dblink.so
%{_libdir}/pgsql/dbsize.so
%{_libdir}/pgsql/earthdistance.so
%{_libdir}/pgsql/earthdistance.so
%{_libdir}/pgsql/fti.so
%{_libdir}/pgsql/fuzzystrmatch.so
%{_libdir}/pgsql/insert_username.so
%{_libdir}/pgsql/isbn_issn.so
%{_libdir}/pgsql/int_aggregate.so
%{_libdir}/pgsql/lo.so
%{_libdir}/pgsql/ltree.so
%{_libdir}/pgsql/misc_utils.so
%{_libdir}/pgsql/moddatetime.so
%{_libdir}/pgsql/noup.so
%{_libdir}/pgsql/pending.so
%{_libdir}/pgsql/pg_trgm.so
%{_libdir}/pgsql/pgcrypto.so
%{_libdir}/pgsql/pgstattuple.so
%{_libdir}/pgsql/refint.so
%{_libdir}/pgsql/rtree_gist.so
%{_libdir}/pgsql/seg.so
%{_libdir}/pgsql/string_io.so
%{_libdir}/pgsql/tablefunc.so
%{_libdir}/pgsql/tsearch.so
%{_libdir}/pgsql/tsearch2.so
%{_libdir}/pgsql/timetravel.so
%{_libdir}/pgsql/user_locks.so
%dir %{_datadir}/pgsql/contrib
%{_datadir}/pgsql/contrib/*
%doc contrib

%files libs -f libpq.lang
%defattr(-,root,root)
%{_libdir}/libpq.so.*
%{_libdir}/libecpg.so.*
%{_libdir}/libecpg_compat.so.*
%{_libdir}/libpgtypes.so.*


%files server -f server.lst
%defattr(-,root,root)
%{_bindir}/initdb
%{_bindir}/ipcclean
%{_bindir}/pg_controldata
%{_bindir}/pg_ctl
%{_bindir}/pg_resetxlog
%{_bindir}/postgres
%{_bindir}/postmaster
%{_mandir}/man1/initdb.*
%{_mandir}/man1/ipcclean.*
%{_mandir}/man1/pg_controldata.*
%{_mandir}/man1/pg_ctl.*
%{_mandir}/man1/pg_resetxlog.*
%{_mandir}/man1/postgres.*
%{_mandir}/man1/postmaster.*
%{_datadir}/pgsql/postgres.bki
%{_datadir}/pgsql/postgres.description
%{_datadir}/pgsql/*.sample
%{_datadir}/pgsql/*.sql
%{_datadir}/pgsql/*.txt
%{_datadir}/pgsql/timezone/
%{_libdir}/pgsql/plpgsql.so
%{_libdir}/pgsql/plpython.so
%dir %{_libdir}/pgsql
%dir %{_datadir}/pgsql
%dir %{_sysconfdir}/sysconfig/pgsql
%attr(700,postgres,postgres) %dir /var/lib/pgsql
%attr(700,postgres,postgres) %dir /var/lib/pgsql/data
%attr(700,postgres,postgres) %dir /var/lib/pgsql/backups
%attr(644,postgres,postgres) %config(noreplace) /var/lib/pgsql/.bash_profile
%{_libdir}/pgsql/*_and_*.so
%attr(755,root,root) %{_initscriptdir}/postgresql


%files devel -f pg_config.lst
%defattr(-,root,root)
%{_includedir}/*
%{_bindir}/ecpg
%{_bindir}/pg_config
%{_libdir}/libpq.so
%{_libdir}/libecpg.so
%{_libdir}/libpgtypes.so
%{_libdir}/libpq.a
%{_libdir}/libpgport.a
%{_libdir}/libecpg.a
%{_libdir}/libecpg_compat.a
%{_libdir}/libpgtypes.a
%{_libdir}/pgsql/pgxs/
%{_mandir}/man1/ecpg.*
%{_mandir}/man1/pg_config.*


%if %tcl
%files tcl
%defattr(-,root,root)
%{_libdir}/Pgtcl/
%doc Pgtcl-docs/*
%endif

%files pl
%defattr(-,root,root)
%{_libdir}/pgsql/plperl.so
%{_libdir}/pgsql/pltcl.so
%{_bindir}/pltcl_delmod
%{_bindir}/pltcl_listmod
%{_bindir}/pltcl_loadmod
%{_datadir}/pgsql/unknown.pltcl
%{_libdir}/pgsql/plpython.so


%files python
%defattr(-,root,root)
# %doc src/interfaces/python/README src/interfaces/python/tutorial
%{_libdir}/python%{pyver}/site-packages/_pgmodule.so
%{_libdir}/python%{pyver}/site-packages/*.py


%if %jdbc
%files jdbc
%defattr(-,root,root)
#%{_datadir}/pgsql/pg74.214.jdbc1.jar
%{_datadir}/pgsql/postgresql-8.0.1-304.jdbc2.jar
%{_datadir}/pgsql/postgresql-8.0.1-304.jdbc2ee.jar
%{_datadir}/pgsql/postgresql-8.0.1-304.jdbc3.jar
%endif


%files test
%defattr(-,postgres,postgres)
%attr(-,postgres,postgres) %{_libdir}/pgsql/test/*
%attr(-,postgres,postgres) %dir %{_libdir}/pgsql/test


%changelog
* Wed Mar  9 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (8.0.1-4m)
- rebuild against libtermcap and ncurses

* Tue Feb 8 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (8.0.1-3m)
- add nls support patch
- update document

* Sat Feb 5 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (8.0.1-2m)
- add Require: postgresql-libs to postgresql package
- remove Provides: libpq.so from postgresql-libs

* Fri Feb 4 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (8.0.1-1m)
- upgrade to 8.0.1
- pgtclsh, pgtksh is removed. 
- JDBC Type1 driver is not avaiable.
- PyGreSQL 3.6.1

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (7.4.6-2m)
- enable x86_64.

* Tue Jan 11 2005 zunda <zunda at freeshell.org>
- (kossori)
- add BuildPrereq: gettext for msgfmt

* Mon Oct 25 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (7.4.6-1m)
- security fix release.
  see. http://www.postgresql.org/news/234.html

* Mon Sep 27 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (7.4.5-1m)
- ver. up

* Sun Sep 12 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (7.4.3-4m)
- rebuild against python2.3

* Sun Aug 22 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (7.4.3-3m)
- build against perl-5.8.5

* Mon Jul 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.4.3-2m)
- No NoSource 9 ftp://ftp.pygresql.org/pub/distrib/PyGreSQL-3.4.tgz

* Mon Jul 12 2004 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (7.4.3-1m)
- update to 7.4.3

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (7.4.1-6m)
- remove Epoch from BuildPrereq

* Mon Jun 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (7.4.1-5m)
- rebuild against db4

* Fri May 22 2004 Toru Hoshina <t@momonga-linux.org>
- (7.4.1-4m)
- with icc.  orz...

* Fri Mar 26 2004 Toru Hoshina <t@momonga-linux.org>
- (7.4.1-3m)
- revised spec for rpm 4.2.

* Tue Jan 27 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (7.4.1-2m)
- update PyGreSQL.

* Wed Dec 24 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (7.4.1-1m)
- update.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.3.4-4m)
- rebuild against perl-5.8.2

* Tue Nov  4 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (7.3.4-3m)
- update japanese html docs.

* Fri Oct 24 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (7.3.4-2m)
- change jdbc source URI.

* Wed Aug 13 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (7.3.4-1m)
- update upstream version.
- add japanese html docs.

* Mon Apr 07 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.3.2-3m)
- rebuild against zlib 1.1.4-5m
- change Name: tag to top of spec file

* Thu Mar  6 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (7.3.2-2m)
  rebuild against openssl 0.9.7a

* Wed Feb 12 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (7.3.2-1m)
- update to upstream version.

* Tue Jan 21 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (7.3.1-3m)
- fix specfile for libpq.so.

* Fri Jan 17 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (7.3.1-2m)
- patch ate wasure...

* Thu Jan 16 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (7.3.1-1m)
- major version up.

* Wed Jan 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (7.2.3-2m)
- [security] patches to fix vulnerabilities (from postgresql-7.2.3-5.73.src.rpm)
   Patch2: buffer overrun patch for geo_ops
   Patch3: pg_hba.conf tightening patch

* Mon Dec  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (7.2.3-1m)
- minor update.

* Sat Nov 30 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (7.2.2-5m)
- update tcl, tk at BuildPrereq and Requires

* Mon Nov 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (7.2.2-4m)
- rebuild against perl-5.8.0

* Sun Oct 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (7.2.2-3m)
- remove needless symlinks

* Wed Sep 4 2002 kikutani <poo@momonga-linux.org>
- (7.2.2-2m)
- Provides: relational-database

* Sat Aug 31 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (7.2.2-1m)
- Security Release
  see http://archives.neohapsis.com/archives/bugtraq/2002-08/0258.html

* Fri Jul 12 2002 Kikutani Makoto <poo@momonga-linux.org>
- (7.2.1-11m)
- 1st Momonga version
- udc_to_utf.diff.gz
- postgresql-7.2.newencoding.diff.gz

* Sat Jun  1 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (7.2.1-10k)
- BuildPreReq: pam-devel.

* Tue May 14 2002 Toru Hoshina <t@kondara.org>
- (7.2.1-8k)
- No more meaningless files.lst.

* Tue May 14 2002 Shigeyuki Yamashita <shige@kondara.org>
- (7.2.1-6k)
- ukekeketohehehe

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (7.2.1-4k)
- sumanu-.

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (7.2.1-2k)
- ver up.

* Thu Feb 21 2002 Tsutomu Yasuda <tom@kondara.org>
- (7.1.3-8k)
- supported python2.2

* Mon Nov 19 2001 Toru Hoshina <t@kondara.org>
- Change some require tags to prereq.

* Wed Oct 31 2001 Masaru Sato <masachan@kondara.org>
- change PostgreSQL source file URI.

* Sun Oct 28 2001 Toru Hoshina <t@kondara.org>
- (7.1.3-4k)
- no more --with-template=linux_alpha, right?

* Sat Oct 27 2001 Masaru Sato <masachan@kondara.org>
- (7.1.3-2k)
- up to 7.1.3

* Sat Oct 14 2001 Masaru Sato <masachan@kondara.org>
- Modify URL tag, http://www.postgresql.org/ to http://www.us.postgresql.org/
- Because old url is mirror site list

* Sat Sep 22 2001 Toru Hoshina <t@kondara.org>
- (7.0.3-10k)
- applied new jumbo patch (jumbo-20010528).

* Sun Jul 29 2001 Toru Hoshina <toru@df-usa.com>
- (7.0.3-8k)
- add alphaev5 support.

* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (7.0.3-7k)
- rebuild againt rpm-3.0.5-39k

* Sun Jan  7 2001 Toru Hoshina <toru@df-usa.com>
- remove JDBC support, because we don't have Java to redistribute.
- fixed initscript file.lst. knock knock, who's there?
- Why do you use redhat-style-files.lst for both /etc/init.d and /etc/rc.d ?

* Wed Jan 03 2001 Kusunoki Masanori <nori@kondara.org>
- (7.0.3-3k)
- Marge 7.0.2-5k(Kondara Project) and 7.0.3-2(PostgreSQL Official)
- initscriptdir detect method changed. for compatible with Official RPM.
- Multibyte supported JDBC Driver added.

* Thu Nov 30 2000 AYUHANA Tomonori <l@kondara.org>
- (7.0.2-5k)
- grob /var/lib/pgsql by postgres:postgres
- Buildroot: /var/tmp/%{name}-%{version}-root

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Wed Nov 15 2000 Lamar Owen <lamar@postgresql.org>
- Buggy dependency on /lib/cpp -- not a PreReq, but a BuildPreReq.

* Tue Nov 14 2000 Trond Eivind Glomsr?<teg@redhat.com>
- made a template for IA64 (symlink to i386)

* Mon Nov 13 2000 Trond Eivind Glomsr?<teg@redhat.com>
- add patch for IA64 (I got one from Lamar and modified it)

* Mon Nov 13 2000 Lamar Owen <lamar@postgresql.org>
- RELEASE: 7.0.3-1
- Minor edits to initscript.
- PRE-RELEASE: 7.0.3-0.6 (final test)
- Final 7.0.3 tarball.
- Cross-dist changes to RedHat initscript for better portability.
- changed README.rpm name to README.rpm-dist (the .rpm extension confused
--some GUI file managers, as RealPlayer also uses that extension).
- Edited README.rpm-dist to reflect cross-distribution packaging.
- NOTE: SuSE cross-compatibility is not yet complete  SuSE RPM's for 7.0.3
--that are tailored for SuSE will be made available.
- Fixed stupid dependency -- the main .so's were in the devel package (Arggh)

* Sat Nov 11 2000 Lamar Owen <lamar@postgresql.org>
- PRE-RELEASE: 7.0.3-0.5
- Framework for better distribution-independent build
- Conditional around libtool conf stuff copy (For RedHat 6.1 and such).
- Conditional around RedHat-style initscript stuff.
- Comments at top of spec file now list copyright and license for spec file,
--as the license and copyright for the spec file itself has not previously
--been stated.
- Envvars for postgres home dir login in .bash_profile.
- initscript now checks for success and failure functions using:
--typeset -f|grep "declare -f function_name" construct.

* Fri Nov 10 2000 Lamar Owen <lamar@postgresql.org>
- PRE-RELEASE: 7.0.3-0.4
- Directory ownership on /usr/lib/pgsql/test/regress was root.root.
- Patch Makefile.shlib to not use -soname for RPM's.
- Newer prerelease 7.0.3 tarball.

* Thu Nov 09 2000 Lamar Owen <lamar@postgresql.org>
- PRE-RELEASE: 7.0.3-0.3
- Don't bother copying the test stuff I'm not packaging.
- Fix group add/del stuff in server subpackage post and postun scriptlets.
- symlink /usr/lib/libpq.so.2.0 -> libpq.so.2.1

* Mon Nov 06 2000 Lamar Owen <lamar@postgresql.org>
- PRE-RELEASE: 7.0.3-0.2
- preliminary 7.0.3 distribution tarball -- reinstated man pages, etc.

* Sat Nov 04 2000 Lamar Owen <lamar@postgresql.org>
- PRE-RELEASE: 7.0.3-0.1.
- Improved test subpackage -- only package regression.
- Latest pre-7.0.3 snapshot.
- Split out SuSE and Caldera spec files.  Caldera COL eServer 2.3 requires
-- RPM 2.5.5-compatible spec files.  SuSE is just too different from the others
-- for the spec file to cope, for now.
- TODO: man pages and documentation.

* Mon Oct 30 2000 Lamar Owen <lamar@postgresql.org>
- pre-7.0.3

* Mon Oct 30 2000 Lamar Owen <lamar@postgresql.org>
- Reenabled the test subpackage for ftp.postgresql.org dist.
- Backported to RH 6.2 -- involved the Pg man page, doesn't appear to require
-- other stuff to be done.


* Sun Oct 22 2000 Trond Eivind Glomsr?<teg@redhat.com>
- make /etc/logrotate.d/postgres 0644 instead of 0700 (#19520)


* Thu Oct 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild with new glibc which has semaphore fixes for Alpha

* Tue Sep 05 2000 Trond Eivind Glomsr?<teg@redhat.com>
- add documention for python interface (#17261)
- move the python interface tutorial to the %%doc section

* Thu Aug 24 2000 Trond Eivind Glomsr?<teg@redhat.com>
- the old dump script didn't work - added rh-pgdump.sh
  to handle this. Point docs at it, and tell how it is to be used.

* Mon Aug 21 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fix the initscript so it points you at the 7.0.2 directory
  in /usr/share/doc, not 7.0  (#16163). Also, remove statement
  it was built on a 6.2 system.
- prereq /lib/cpp and initscripts
- fix backups of existing files (#16706)
- fix conditional restart

* Sat Aug 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- fix README.rpm to it points at /usr/share/doc, not /usr/doc
  (part of #16416)

* Wed Aug 16 2000 Trond Eivind Glomsr?<teg@redhat.com>
- don't build test package anymore, it's broken. These
  tests should be run by pgsql developers and not
  by db-developers, so it's not a big loss (#16165).
  Obsolete it in the main package, so it doesn't get left over

* Mon Aug 14 2000 Trond Eivind Glomsr?<teg@redhat.com>
- reference docs in /usr/share/doc, not /usr/doc (#16163)
- add python-devel, perl and tcl as build prereqs
- use /dev/null as STDIN for su commands in initscripts,
  to avoid error messages from not being able to read from
  tty

* Sat Aug 05 2000 Bill Nottingham <notting@redhat.com>
- condrestart fixes

* Mon Jul 31 2000 Trond Eivind Glomsr?<teg@redhat.com>
- remove all plperl references, to avoid confusing post install scripts
- cleanups

* Mon Jul 17 2000 Trond Eivind Glomsr?<teg@redhat.com>
- remove the symlink from libpq.so.2.0 to libpq.so.2.1
- remove some binaries from docs
- fix dangling symlink os.h
- use /sbin/service

* Thu Jul 13 2000 Trond Eivind Glomsr?<teg@redhat.com>
- don't strip manually
- fixes to init script so they look more like the rest
  (#13749, from giulioo@pobox.com)
- use /etc/rc.d/init.d again (sigh)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsr?<teg@redhat.com>
- "Prereq:", not "Requires:" for /etc/init.d

* Thu Jul 06 2000 Trond Eivind Glomsr?<teg@redhat.com>
- require /etc/init.d

* Wed Jun 21 2000 Trond Eivind Glomsr?<teg@redhat.com>
- remove perl kludge as perl 5.6 is now fixed
- include the man page for the perl module
- fix the init script and spec file to handle conditional
  restart
- move the init file to /etc/init.d
- use License instead of Copyright

* Mon Jun 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- rebuild

* Tue Jun 13 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%defattr on postgresql-perl
- use %%{_tmppath}
- Don't use release number in patch
- Don't build on ia64 yet

* Mon Jun 12 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0.2-2
- Corrected misreporting of version.
- Corrected for non-root build clean script.

* Mon Jun 05 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0.2
- Postgresql-dump manpage to man1, and to separate source file to facilitate
-- _mandir macro expansion correctness.
- NOTE: The PostScript documentation is no longer being included in the
-- PostgreSQL tarball.  If demand is such, I will pull together a
-- postgresql-ps-docs subpackage or pull in the PostScript docs into the
-- main package.
- RPM patchset has release number, now, to prevent patchfile confusion :-(.


* Sat Jun 03 2000 Lamar Owen <lamar.owen@wgcr.org>
- Incorporate most of Trond's changes (reenabled the alpha
-- patches, as it was a packaging error on my part).
- Trimmed changelog history to Version 7.0beta1 on. To see the
-- previous changelog, grab the 6.5.3 RPM from RedHat 6.2 and pull the spec.
- Rev to 7.0.1 (which incorporates the syslog patch, which has
-- been removed from rpm-pgsql-7.0.1-1.patch)

* Fri May 26 2000 Trond Eivind Glomsr?<teg@redhat.com>
- disable the alpha patch, as it doesn't apply cleanly
- removed distribution, packager, vendor
- renamed spec file
- don't build pl-perl
- use %%{_mandir}
- now includes vacuumdb.1*

* Thu May 25 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0-3
- Incorporated Tatsuo's syslog segmentation patches
- Incorporated some of Trond's changes (see below)
-- Fixed some Perl 5.6 oddness in Rawhide
- Incorporated some of Karl's changes (see below)
-- PL/Perl should now work.
- Fixed missing /usr/bin/pg_passwd.

* Mon May 22 2000 Karl DeBisschop <kdebisschop@infoplease.com>
- 7.0-2.1
- make plperl module (works for linux i386, your guess for other platforms)
- use "make COPT=" because postgreSQL configusre script ignores CFLAGS

* Sat May 20 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0-2
- pg_options default values changed.
- SPI headers (again!) fixed in a permanent manner  -- hopefully!
- Alpha patches!

* Wed May 17 2000 Trond Eivind Glomsr?<teg@redhat.com>
- changed bug in including man pages

* Tue May 16 2000 Trond Eivind Glomsr?<teg@redhat.com>
- changed buildroot, removed packager, vendor, distribution
-- [Left all but buildroot as-is for PostgreSQL.org RPMS. LRO]
- don't strip in package [strip in PostgreSQL.org RPMS]
- fix perl weirdnesses (man page in bad location, remove
  perllocal.pod from file list)

* Mon May 15 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0 final -1
- Man pages restructured
- Changed README.rpm notices about BETA
- incorporated minor changes from testing
- still no 7.0 final alpha patches -- for -2 or -3, I guess.
- 7.0 JDBC jars!

* Sat May 06 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0RC5-0.5
- UserID of 26 to conform to RedHat Standard, instead of 40.  This only
-- is for new installs -- upgrades will use what was already there.
- Waiting on built jar's of JDBC.  If none are forthcoming by release,
-- I'm going to have to bite the bullet and install the jdk....

* Mon May 01 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0RC2-0.5
- Fixed /usr/src/redhat/BUILD path to $RPM_BUILD_DIR for portability
-- and so that RPM's can be built by non-root.
- Minor update to README.rpm

* Tue Apr 18 2000 Lamar Owen <lamar.owen@wgcr.org>
- 0.6
- Fixed patchset: wasn't patching pgaccess or -i in postmaster.opts.default
- minor update to README.rpm

* Mon Apr 17 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0RC1-0.5 (release candidate 1.)
- Fixed SPI header directories' permisssions.
- Removed packaging of Alpha patches until Ryan releases RC1-tested set.

* Mon Apr 10 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0beta5-0.1 (released instead of the release candidate)

* Sat Apr 08 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0beta4-0.2 (pre-release-candidate CVS checkout)
- Alpha patches!
- pg_options.sample

* Fri Mar 24 2000 Lamar Owen <lamar.owen@wgcr.org>
- 7.0beta3-0.1

* Mon Feb 28 2000 Lamar Owen <lamar.owen@wgcr.org>
- Release 0.3
- Fixed stderr redir problem in init script
- Init script now uses pg_ctl to start postmaster
- Packaged inital pg_options for good logging
- built with timestamped logging.

* Tue Feb 22 2000 Lamar Owen <lamar.owen@wgcr.org>
- Initial 7.0beta1 build
- Moved PGDATA to /var/lib/pgsql/data
- First stab at logging and logrotate functionality -- test carefully!
- -tcl subpackage split -- tcl client and pltcl lang separated from
-- the Tk stuff.  PgAccess and the tk client are now in the -tk subpackage.
- No patches for Alpha as yet.
